View Issue Details

IDProjectCategoryView StatusLast Update
0005524GNUnetwebpagepublic2019-02-28 11:17
Reporterng0Assigned Tong0 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005524: new website: bootstrap analysis
DescriptionDo we need all of the boilerplate of bootstrap css?

If not, find a solution to cherry-pick details and drop bootstrap.
Tagswebsite

Activities

ic.rbow

2019-01-28 11:29

reporter   ~0013495

Better use its less/scss components and assemble a site-specific package. Future designers would be really annoyed trying to use some expected feature that isn't there anymore. Without easy way to get it back they'll be angry even more.

Also, consider upgrading to 4.x

Christian Grothoff

2019-02-14 11:57

manager   ~0013745

Yes, I agree with ic.rbow: it's not worth to cherry-pick bootstrap, but we should upgrade to 4.x.

Christian Grothoff

2019-02-14 11:58

manager   ~0013746

Marcello, could you please look into updating the bootstrap version for *both* GNU Taler and GNUnet's Web sites?

ng0

2019-02-16 00:30

developer   ~0013805

Marcello: I have updated bootstrap for gnunet.org to version 4 today.

I will look into upgrading taler in the next couple of days if you don't want to do it (menu is the only part involving more work).

ng0

2019-02-16 00:33

developer   ~0013806

ic.rbow: I don't like bootstrap. It's good for prototyping, but that's it. we use only a fraction of the features and would be less locked in wrt design and experience without the framework.
What bootstrap does I have learned without bootstrap before.
Just my personal opinion, to clarify where the original idea came from.

bs 4 is okay.

ng0

2019-02-16 00:34

developer   ~0013807

imo this part is done, keeping it only open for the question to marcello.

Marcello Stanisci

2019-02-16 03:12

developer   ~0013810

ng0: as of today, I've _never_ worked with bootstrap, so if you feel like to complete this task, please do !

ng0

2019-02-21 16:59

developer   ~0013922

Okay, I'm closing this now. gnunet part is done, taler has a separate ticket I assigned to myself.

Issue History

Date Modified Username Field Change
2019-01-27 16:20 ng0 New Issue
2019-01-28 11:29 ic.rbow Note Added: 0013495
2019-01-29 16:00 catonano Tag Attached: website
2019-01-30 19:38 ng0 Category other => webpage
2019-01-30 19:38 ng0 Target Version => 0.11.0
2019-02-04 00:56 Christian Grothoff Priority normal => low
2019-02-04 00:56 Christian Grothoff Target Version 0.11.0 => 0.11.1
2019-02-14 11:57 Christian Grothoff Note Added: 0013745
2019-02-14 11:58 Christian Grothoff Assigned To => Marcello Stanisci
2019-02-14 11:58 Christian Grothoff Status new => assigned
2019-02-14 11:58 Christian Grothoff Note Added: 0013746
2019-02-16 00:30 ng0 Note Added: 0013805
2019-02-16 00:33 ng0 Note Added: 0013806
2019-02-16 00:34 ng0 Note Added: 0013807
2019-02-16 03:12 Marcello Stanisci Note Added: 0013810
2019-02-16 03:13 Marcello Stanisci Assigned To Marcello Stanisci => ng0
2019-02-21 16:59 ng0 Note Added: 0013922
2019-02-21 17:00 ng0 Status assigned => resolved
2019-02-21 17:00 ng0 Resolution open => fixed
2019-02-21 17:00 ng0 Fixed in Version => 0.11.0
2019-02-21 22:10 Christian Grothoff Product Version => SVN HEAD
2019-02-21 22:10 Christian Grothoff Target Version 0.11.1 => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed